Subject: [Add] Envoy Mobile

From: Tony Finch <[email-masked]>
Date: Fri, 21 Jun 2019 12:18:21 +0100

This is kind of tangential, but I think it's worth keeping an eye on this
and related areas -

https://eng.lyft.com/announcing-envoy-mobile-5c2067d9ade0

The point in that article that is relevant here is "DNS replacements". One
of the uses for DoH that was discussed when DoH was initially proposed was
front end apps (in the browser) using DoH for making queries about the
app's back end that can't otherwise be done by the browser. My guess is
that this kind of back-end query will move to completely non-DNS
protocols.

[ The related areas are the use of DNS for service discovery within a
distributed back-end system - coredns etc. ]

Tony.
-- 
f.anthony.n.finch  <[email-masked]>  http://dotat.at/
Great Orme Head to the Mull of Galloway: Mainly variable 3 or less, but
southwesterly 4 or 5 for a time in Solway Firth. Smooth or slight. Fair. Good.